0

I need to migrate my joomla 1.7.3 site to joomla 3. So, I first upgraded it to joomla 1.7.4 and 1.7.5 successfully.

In the next step I am going to upgrade it to 2.5.0. So I downloaded the update package for joomla 2.5.0 from: http://www.joomla.org/announcements/release-news/5403-joomla-250-released.html

But unexpectedly installing this package fails by error "Failed loading XML file".

I extracted the zip file and noticed that it does not contain joomla.xml file. Could this be the reason? If not, how can I handle this issue?

Thanks

migrated from stackoverflow.com Jun 6 '14 at 19:02

This question came from our site for professional and enthusiast programmers.

1

From the page you mention, you're getting a very old and buggy version.

http://joomlacode.org/gf/download/frsrelease/19396/158841/Joomla_2.5.x_to_2.5.20-Stable-Patch_Package.zip

This is the full 2.5.20 update package.

make a backup of your site & db.

Then extract this package over your current installation;

then go to the administrator/extensions/database and press "fix" to update the database accordingly.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy